Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Interface Encoding

All Known Implementing Classes:
  CharsetEncoding, EncodingWithBOM

    public interface Encoding

An interface to represent an encoding. An encoding is a mapping between a character stream and a byte stream. It is like java.nio.charset.Charset but has slightly different form. This can represents some extended encodings like UTF-8Y which drops (inserts) the BOM bytes before actual decoding (encoding). This also enables to add some extended encodings such as ASCII representation used by Java property files.

Since:
  4.3pre10

Method Summary
`java.io.Reader` | `getPermissiveTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
`java.io.Reader` | `getTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
`java.io.Writer` | `getTextWriter(java.io.OutputStream out)` Map an OutputStream to a Writer.

Method Detail

### getTextReader

    java.io.Reader getTextReader(java.io.InputStream in)
                                 throws java.io.IOException

  Map an InputStream to a Reader. Decode-error while reading from this Reader should be reported by throwing an IOException.

  Throws:
    `java.io.IOException`

### getTextWriter

    java.io.Writer getTextWriter(java.io.OutputStream out)
                                 throws java.io.IOException

  Map an OutputStream to a Writer. Encode-error while writing to this Writer should be reported by throwing an IOException.

  Throws:
    `java.io.IOException`

### getPermissiveTextReader

    java.io.Reader getPermissiveTextReader(java.io.InputStream in)
                                           throws java.io.IOException

  Map an InputStream to a Reader. Decode-error while reading from this Reader should be ignored or replaced.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD